# Create a Crypto Deposit Address

Creates a new crypto deposit address for the authenticated merchant on the specified network. The returned address can be used across multiple PaymentIntents.

## Request

```curl
curl https://api.stripe.com/v1/crypto/deposit_addresses \
  -u "<<YOUR_SECRET_KEY>>" \
  -d network=tempo
```

### Response

```json
{
  "id": "cda_1MzUx82eZvKYlo2CB6XoRDA6",
  "object": "crypto.deposit_address",
  "livemode": false,
  "created": 1719947634,
  "network": "tempo",
  "address": "0x5ff8d73e8bccd3701c9aef78389f3b9771172b5c",
  "supported_tokens": [
    {
      "token_currency": "usdc",
      "token_contract_address": "0x20c0000000000000000000009e8d7eb59b783726"
    }
  ],
  "metadata": {}
}
```

## Returns

Returns a crypto.deposit_address object

## Parameters

- `network` (enum, required)
  The blockchain network to generate a deposit address for.
Possible enum values:
  - `base`
    Base network.

  - `solana`
    Solana network.

  - `tempo`
    Tempo network.

- `customer` (string, optional)
  If set, this deposit address is scoped to a [Customer](https://docs.stripe.com/api/customers/object.md) and can only receive funds from that customer. Otherwise, this deposit address can receive funds from any customer.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
